{
    "fields": [
        {
            "doc": "Sample Id",
            "name": "sampleId",
            "type": [
                "null",
                "string"
            ]
        },
        {
            "doc": "Whether the sample is a Mendelian inconsistencies query (yes, no, unknown, notTested)",
            "name": "mendelianInconsistenciesQuery",
            "type": [
                "null",
                {
                    "doc": "A query",
                    "name": "Query",
                    "symbols": [
                        "yes",
                        "no",
                        "unknown",
                        "notTested"
                    ],
                    "type": "enum"
                }
            ]
        },
        {
            "doc": "Mendelian inconsistencies cannot always be computed for all the samples in the family (depends on family\nstructure). Specify here if this is the case or there was any other issues",
            "name": "comments",
            "type": [
                "null",
                "string"
            ]
        }
    ],
    "name": "MendelianInconsistenciesCheck",
    "namespace": "org.gel.models.metrics.avro",
    "type": "record"
}